Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management
Class DistributedAttributeUpdateException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.management.DistributedUpdateException
                              |
                              +--weblogic.management.DistributedAttributeUpdateException

public final class DistributedAttributeUpdateException
extends DistributedUpdateException

This exception wraps an exception that occured while propagating a specific attribute change (set) from the Admin Server to a specific Managed Server.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`DistributedAttributeUpdateException(javax.management.ObjectName remoteNameArg, javax.management.MBeanServer remoteMBeanServerArg, java.lang.Exception exceptionArg, javax.management.Attribute attributeArg)` Deprecated. Constructor for the DistributedAttributeUpdateException object

Method Summary
`javax.management.Attribute` | `getAttribute()` Deprecated. Return the attribute that was being updated.
`void` | `printExceptionInfo(java.io.PrintWriter writer)` Deprecated. Writes the exception information onto the PrintWriter.

Methods inherited from class weblogic.management.DistributedUpdateException
`getRemoteMBeanServer, getRemoteName, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributedAttributeUpdateException

    public DistributedAttributeUpdateException(javax.management.ObjectName remoteNameArg,
                                               javax.management.MBeanServer remoteMBeanServerArg,
                                               java.lang.Exception exceptionArg,
                                               javax.management.Attribute attributeArg)

  Deprecated.
  Constructor for the DistributedAttributeUpdateException object

  Parameters:
    `remoteNameArg` - the object on the managed server that was being updated.
    `remoteMBeanServerArg` - The MBean Server on which the failure occurred.
    `exceptionArg` - The original cause for the failure.
    `attributeArg` - The attribute that was being updated, includes the name and value of the attribute.

Method Detail

### getAttribute

    public javax.management.Attribute getAttribute()

  Deprecated.
  Return the attribute that was being updated.

  Returns:
    The attribute value

### printExceptionInfo

    public void printExceptionInfo(java.io.PrintWriter writer)

  Deprecated.
  Writes the exception information onto the PrintWriter.

  Parameters:
    `writer` - where to write the information.
  Overrides:
    printExceptionInfo in class DistributedUpdateException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD